HaruPage::setRotate
HaruPage::setSlideShow
HaruPage
PHP Manual

# HaruPage::setSize

(PECL haru >= 0.0.1)

HaruPage::setSize — Set size and direction of the page

### Description

bool HaruPage::setSize ( int `$size` , int `$direction` )

Changes size and direction of the page to a predefined format.

### Parameters

`size`

  Must be one of the following values:

  - `HaruPage::SIZE_LETTER`
  - `HaruPage::SIZE_LEGAL`
  - `HaruPage::SIZE_A3`
  - `HaruPage::SIZE_A4`
  - `HaruPage::SIZE_A5`
  - `HaruPage::SIZE_B4`
  - `HaruPage::SIZE_B5`
  - `HaruPage::SIZE_EXECUTIVE`
  - `HaruPage::SIZE_US4x6`
  - `HaruPage::SIZE_US4x8`
  - `HaruPage::SIZE_US5x7`
  - `HaruPage::SIZE_COMM10`
`direction`

  Must be one of the following values:

  - `HaruPage::PORTRAIT`
  - `HaruPage::LANDSCAPE`

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws a HaruException on error.

### See Also

- HaruPage::setWidth - Set width of the page
- HaruPage::setHeight - Set height of the page

HaruPage::setRotate
HaruPage::setSlideShow
HaruPage
PHP Manual